
QGIS Application - Bug report #18009

r.tile fails only on Windows (2.18.16 and master)

2018-01-31 12:22 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25905

Description

I installed the qgis.org Ubuntugis package of 2.18.16 under WSL to test that Linux QGIS doesn't fail.

Below is the output from the OSGeo4W64 version of 2.18.16.

I don't really know how to debug this...

Algorithm r.tile - Splits a raster map into tiles starting...

g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000

+ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 

r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888 --overwrite -o

g.region n=757786.129315 s=754962.02641 e=422890.901324 w=419296.790964 res=0.250007676637

r.tile input="tmp1517353342888" output="contours" width="4096" height="4096" --overwrite

for r in $(g.list type=rast pattern='contours*'); do

r.out.gdal -t input=${r} output=C:\Processing\tiles1/${r}.tif createopt="TFW=YES,COMPRESS=LZW" 

done

C:\OSGeo4W64\bin>set HOME=C:\Users\alistair 

C:\OSGeo4W64\bin>set GISRC=C:\Users\alistair\.qgis2\\processing\processing.gisrc7 

C:\OSGeo4W64\bin>set WINGISBASE=C:\OSGEO4~1\apps\grass\grass-7.4.0 

C:\OSGeo4W64\bin>set GISBASE=C:\OSGEO4~1\apps\grass\grass-7.4.0 

C:\OSGeo4W64\bin>set GRASS_PROJSHARE=C:\OSGEO4~1\apps\grass\grass-7.4.0\share\proj 

C:\OSGeo4W64\bin>set GRASS_MESSAGE_FORMAT=plain 

C:\OSGeo4W64\bin>if "" == "" set

PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>if not "" == "" set PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;;C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_

te-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>if not "" == "" set PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;;C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.

on27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>if not "" == "" set PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;;C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMAN

grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>if not "" == "" set PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;;C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206

WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>if not "" == "" set

PATH=C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;;C:\OSGEO4~1\apps\grass\grass-7.4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 
Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default 
Projection information updated

4.0\bin;C:\OSGEO4~1\apps\grass\grass-7.4.0\lib;C:\OSGEO4~1\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 
Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default 
Projection information updated 

C:\OSGeo4W64\bin>r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888 --overwrite -o 
Over-riding projection check 
Reading band 1 of 1... 
r.external complete. Link to raster map created. 



64.egg\shapely\DLLs;C:\OSGEO4~1\apps\Python27\DLLs;C:\OSGEO4~1\apps\Python27\lib\site-packages\numpy\core;C:\OSGEO4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 
Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default 
Projection information updated 

C:\OSGeo4W64\bin>r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888 --overwrite -o 
Over-riding projection check 
Reading band 1 of 1... 
r.external complete. Link to raster map created. 

C:\OSGeo4W64\bin>g.region n=757786.129315 s=754962.02641 e=422890.901324 w=419296.790964 res=0.250007676637 

C:\OSGeo4W64\bin>r.tile input="tmp1517353342888" output="contours" width="4096" height="4096" --overwrite 
Generating 4 x 

O4~1\apps\qgis\bin;C:\OSGEO4~1\apps\grass\grass-7.2.2\lib;C:\OSGEO4~1\apps\grass\grass-7.2.2\bin;{app};C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 
Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default 
Projection information updated 

C:\OSGeo4W64\bin>r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888 --overwrite -o 
Over-riding projection check 
Reading band 1 of 1... 
r.external complete. Link to raster map created. 

C:\OSGeo4W64\bin>g.region n=757786.129315 s=754962.02641 e=422890.901324 w=419296.790964 res=0.250007676637 

C:\OSGeo4W64\bin>r.tile input="tmp1517353342888" output="contours" width="4096" height="4096" --overwrite 
Generating 4 x 3 = 12 tiles... 
0..33..66..r was unexpected at this time. 

C:\OSGeo4W64\bin>for r in $(g.list type=rast pattern='contours*'); do 
Converting outputs
Loading resulting layers
Algorithm r.tile - Splits a raster map into tiles fini

ps\Python27\Scripts;C:\OSGEO4~1\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\OSGEO4~1\apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999 +x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 
Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update the region from the default 
Projection information updated 

C:\OSGeo4W64\bin>r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888 --overwrite -o 
Over-riding projection check 
Reading band 1 of 1... 
r.external complete. Link to raster map created. 

C:\OSGeo4W64\bin>g.region n=757786.129315 s=754962.02641 e=422890.901324 w=419296.790964 res=0.250007676637 

C:\OSGeo4W64\bin>r.tile input="tmp1517353342888" output="contours" width="4096" height="4096" --overwrite 
Generating 4 x 3 = 12 tiles... 
0..33..66..r was unexpected at this time. 

C:\OSGeo4W64\bin>for r in $(g.list type=rast pattern='contours*'); do 
Converting outputs
Loading resulting layers
Algorithm r.tile - Splits a raster map into tiles finished
apps\msys\bin;C:\Program Files\R\R-3.4.0\bin\x64 

C:\OSGeo4W64\bin>set GRASS_VERSION=7.4.0 

C:\OSGeo4W64\bin>if not "" == "" goto langset 

C:\OSGeo4W64\bin>FOR /F "usebackq delims==" %i IN (`"C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\winlocale"`) DO @set

LANG=%i 

C:\OSGeo4W64\bin>set PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.PY 

C:\OSGeo4W64\bin>set

PYTHONPATH=;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\python;C:\OSGEO4~1\apps\grass\grass-7.4.0\etc\wxpython\n 

C:\OSGeo4W64\bin>g.gisenv.exe set="MAPSET=PERMANENT" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe set="LOCATION_NAME=temp_location" 

C:\OSGeo4W64\bin>g.gisenv.exe

set="GISDBASE=C:\Users\alistair\AppData\Local\Temp\processing206d35b7a85e45f0af95445220f3b7a7\grassdata" 

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

C:\OSGeo4W64\bin>g.proj -c proj4="+proj=tmerc +lat_0=-36.87972222222222 +lon_0=174.7641666666667 +k=0.9999

+x_0=400000 +y_0=800000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs" 

Default region was updated to the new projection, but if you have multiple mapsets `g.region -d` should be run in each to update

the region from the default 

Projection information updated 

C:\OSGeo4W64\bin>r.external input="C:/Processing/contours_patched_clipped.tif" band=1 output=tmp1517353342888

--overwrite -o 

Over-riding projection check 

Reading band 1 of 1... 

r.external complete. Link to raster map created. 

C:\OSGeo4W64\bin>g.region n=757786.129315 s=754962.02641 e=422890.901324 w=419296.790964 res=0.250007676637 

C:\OSGeo4W64\bin>r.tile input="tmp1517353342888" output="contours" width="4096" height="4096" --overwrite 

Generating 4 x 3 = 12 tiles... 

0..33..66..r was unexpected at this time. 

C:\OSGeo4W64\bin>for r in $(g.list type=rast pattern='contours*'); do 

Converting outputs

Loading resulting layers

Algorithm r.tile - Splits a raster map into tiles finished

Related issues:

Duplicated by QGIS Application - Bug report # 20146: QGIS 3.2.3 Bonn and GRAS... Closed 2018-10-17
History

#1 - 2018-11-11 01:32 PM - Jürgen Fischer

- Duplicated by Bug report #20146: QGIS 3.2.3 Bonn and GRASS 7. r.texture does not provide any output. added

#2 - 2018-11-11 01:32 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
